import {
  uploadFile,
  detectVehicleLicense, 
  detectIdentityCard, 
  detectDriverLicense,
  login,
  listCompany,
  myCompany,
  createCompany,
  updateCompanyStatus,
  updateCompanyExpired,
  updateCompany,
  listAccount,
  listAccountMine,
  createAccount,
  updatePassword,
  updateAccountStatus,
  listSource,
  createSource,
  updateSource,
  updateSourceStatus,
  listModel,
  listBrand,
  listColor,
  listEnvironmentalStandard,
  listEngineType,
  listVehicleType,
  listUseCharacters,
  createData,
  listVehicle,
  listNoSourceContractVehicles,
  listAllowRentVehicles,
  createVehicle,
  updateVehicle,
  listContract,
  listContractLogs,
  signContract,
  updateContract,
  terminateContract, 
  returnDeposit,
  listPlanningByContractId,
  listDriver,
  createDriver,
  updateDriver,
  listAllDriver,
  listFee, 
  createFee, 
  disableFee, 
  enableFee,
  searchPlanning, 
  paying,
  delay,
  listPlanningLogs,
  getContract,
  getDriver,
  getVehicle,
} from "./request_methods";

export default {
  namespaced: true,
  state: {},
  actions: {
    asyncUploadFile(_, payload) {
      return uploadFile(payload)
    },
    asyncDetectVehicleLicense(_, payload) {
      return detectVehicleLicense(payload)
    },
    asyncDetectDriverLicense(_, payload) {
      return detectDriverLicense(payload)
    },
    asyncDetectIdentityCard(_, payload) {
      return detectIdentityCard(payload)
    },
    asyncLogin(_, payload) {
      return login(payload)
    },
    asyncListCompany(_, payload) {
      return listCompany(payload)
    },
    asyncMyCompany(_, payload) {
      return myCompany(payload)
    },
    asyncCreateCompany(_, payload) {
      return createCompany(payload)
    },
    asyncUpdateCompanyStatus(_, payload) {
      return updateCompanyStatus(payload)
    },
    asyncUpdateCompanyExpired(_, payload) {
      return updateCompanyExpired(payload)
    },
    asyncUpdateCompany(_, payload) {
      return updateCompany(payload)
    },
    asyncListAccount(_, payload) {
      return listAccount(payload)
    },
    asyncListAccountMine(_, payload) {
      return listAccountMine(payload)
    },
    asyncCreateAccount(_, payload) {
      return createAccount(payload)
    },
    asyncUpdatePassword(_, payload) {
      return updatePassword(payload)
    },
    asyncUpdateAccountStatus(_, payload) {
      return updateAccountStatus(payload)
    },
    asyncListSource(_, payload) {
      return listSource(payload)
    },
    asyncCreateSource(_, payload) {
      return createSource(payload)
    },
    asyncUpdateSource(_, payload) {
      return updateSource(payload)
    },
    asyncUpdateSourceStatus(_, payload) {
      return updateSourceStatus(payload)
    },
    
    asyncListModel(_, payload) {
      return listModel(payload)
    },
    asyncListBrand(_, payload) {
      return listBrand(payload)
    },
    asyncListColor(_, payload) {
      return listColor(payload)
    },
    asyncListEnvironmentalStandard(_, payload) {
      return listEnvironmentalStandard(payload)
    },
    asyncListEngineType(_, payload) {
      return listEngineType(payload)
    },
    asyncListVehicleType(_, payload) {
      return listVehicleType(payload)
    },
    asyncListUseCharacters(_, payload) {
      return listUseCharacters(payload)
    },
    asyncCreateData(_, payload) {
      return createData(payload)
    },

    asyncListFee(_, payload) {
      return listFee(payload)
    },
    asyncCreateFee(_, payload) {
      return createFee(payload)
    },
    asyncDisableFee(_, payload) {
      return disableFee(payload)
    },
    asyncEnableFee(_, payload) {
      return enableFee(payload)
    },

    asyncListVehicle(_, payload) {
      return listVehicle(payload)
    },
    asyncListNoSourceContractVehicles(_, payload) {
      return listNoSourceContractVehicles(payload)
    },
    asyncListAllowRentVehicles(_, payload) {
      return listAllowRentVehicles(payload)
    },
    asyncCreateVehicle(_, payload) {
      return createVehicle(payload)
    },
    asyncUpdateVehicle(_, payload) {
      return updateVehicle(payload)
    },
    asyncListContract(_, payload) {
      return listContract(payload)
    },
    asyncListContractLogs(_, payload) {
      return listContractLogs(payload)
    },
    asyncSignContract(_, payload) {
      return signContract(payload)
    },
    asyncUpdateContract(_, payload) {
      return updateContract(payload)
    },
    asyncTerminateContract(_, payload) {
      return terminateContract(payload)
    },
    asyncReturnDeposit(_, payload) {
      return returnDeposit(payload)
    },
    asyncListPlanningByContractId(_, payload) {
      return listPlanningByContractId(payload)
    },
    asyncSearchPlanning(_, payload) {
      return searchPlanning(payload)
    },
    asyncPaying(_, payload) {
      return paying(payload)
    },
    asyncDelay(_, payload) {
      return delay(payload)
    },
    asyncListPlanningLogs(_, payload) {
      return listPlanningLogs(payload)
    },

    asyncListDriver(_, payload) {
      return listDriver(payload)
    },
    asyncListAllDriver(_, payload) {
      return listAllDriver(payload)
    },
    asyncCreateDriver(_, payload) {
      return createDriver(payload)
    },
    asyncUpdateDriver(_, payload) {
      return updateDriver(payload)
    },
    
    asyncGetContract(_, payload) {
      return getContract(payload)
    },
    asyncGetDriver(_, payload) {
      return getDriver(payload)
    },
    asyncGetVehicle(_, payload) {
      return getVehicle(payload)
    },
  },
  mutations: {
  }
};
