import axios from "@/libs/axios";
import { stringify } from "qs";
const proxy = process.env.NODE_ENV == 'development' ? "/apis" : "https://smp.sskuaixiu.com/api/order/pub-open/";
// if(process.env.NODE_ENV == 'development') {
//     console.log("dev: " + proxy);
// } else {
//     console.log("env: " + proxy);
// }
// 上传文件
export const uploadFile = params => axios.post(`${proxy}/file/upload`, params, { "Content-Type": "multipart/form-data" });
// 行驶证识别
export const detectVehicleLicense = data => axios.post(`${proxy}/file/vehicle/license/detect`, data);
// 驾驶证识别
export const detectDriverLicense = data => axios.post(`${proxy}/file/driver/license/detect`, data);
// 身份证识别
export const detectIdentityCard = data => axios.post(`${proxy}/file/identity/card/detect`, data);
// 登录
export const login = data => axios.post(`${proxy}/account/login`, data);

// 企业列表
export const listCompany = data => axios.post(`${proxy}/company/list`, data);
// 企业信息
export const myCompany = data => axios.post(`${proxy}/company/mine`, data);
// 创建企业
export const createCompany = data => axios.post(`${proxy}/company/create`, data);
// 企业状态
export const updateCompanyStatus = data => axios.post(`${proxy}/company/update/status`, data);
// 企业有效期
export const updateCompanyExpired = data => axios.post(`${proxy}/company/update/expired`, data);
// 修改企业信息
export const updateCompany = data => axios.post(`${proxy}/company/update`, data);

// 帐号列表
export const listAccount = data => axios.post(`${proxy}/account/list/${data}`);
// 帐号列表
export const listAccountMine = data => axios.post(`${proxy}/account/list/mine`);
// 创建帐号
export const createAccount = data => axios.post(`${proxy}/account/create`, data);
// 修改帐号密码
export const updatePassword = data => axios.post(`${proxy}/account/update/password`, data);
// 修改帐号状态
export const updateAccountStatus = data => axios.post(`${proxy}/account/update/status`, data);

// 车源列表
export const listSource = data => axios.post(`${proxy}/data/sources`, data);
// 添加车源信息
export const createSource = data => axios.post(`${proxy}/data/source/create`, data);
// 修改车源停牌
export const updateSource = data => axios.post(`${proxy}/data/source/update`, data);
// 修改车源状态
export const updateSourceStatus = data => axios.post(`${proxy}/data/source/update/status`, data);

// 数据 / 型号列表
export const listModel = data => axios.post(`${proxy}/data/models`, data);
// 数据 / 品牌列表
export const listBrand = data => axios.post(`${proxy}/data/brands`, data);
// 数据 / 颜色
export const listColor = data => axios.post(`${proxy}/data/colors`, data);
// 数据 / 环保标准
export const listEnvironmentalStandard = data => axios.post(`${proxy}/data/environmentalStandards`, data);
// 数据 / 动力类型
export const listEngineType = data => axios.post(`${proxy}/data/engineTypes`, data);
// 数据 / 车辆类型
export const listVehicleType = data => axios.post(`${proxy}/data/vehicleTypes`, data);
// 数据 / 使用性质
export const listUseCharacters = data => axios.post(`${proxy}/data/useCharacters`, data);
// 数据 / 创建
export const createData = data => axios.post(`${proxy}/data/create`, data);
// 费用项 / 列表
export const listFee = data => axios.post(`${proxy}/fee/list/${data}`);
// 费用项 / 创建
export const createFee = data => axios.post(`${proxy}/fee/create`, data);
// 费用项 / 禁用
export const disableFee = data => axios.post(`${proxy}/fee/disable/${data}`);
// 费用项 / 启用
export const enableFee = data => axios.post(`${proxy}/fee/enable/${data}`);

// 车辆 / 列表
export const listVehicle = data => axios.post(`${proxy}/vehicle/list`, data);
export const listNoSourceContractVehicles = data => axios.post(`${proxy}/vehicle/no/source/contract/vehicles`, data);
export const listAllowRentVehicles = data => axios.post(`${proxy}/vehicle/allow/rent/vehicles`, data);
// 车辆 / 创建
export const createVehicle = data => axios.post(`${proxy}/vehicle/create`, data);
// 车辆 / 修改
export const updateVehicle = data => axios.post(`${proxy}/vehicle/update`, data);

// 合同 / 合同 列表
export const listContract = data => axios.post(`${proxy}/contract/list`, data);
// 合同 / 日志 列表
export const listContractLogs = data => axios.post(`${proxy}/contract/logs/${data}`);
// 合同 / 车源合同 签订
export const signContract = data => axios.post(`${proxy}/contract/sign`, data);
// 合同 / 车源合同 修改
export const updateContract = data => axios.post(`${proxy}/contract/update`, data);
// 合同 / 车源合同 中止
export const terminateContract = data => axios.post(`${proxy}/contract/terminate`, data);
// 合同 / 车源合同 返还押金
export const returnDeposit = data => axios.post(`${proxy}/contract/return/deposit`, data);
// 合同 / 费用计划列表
export const listPlanningByContractId = data => axios.post(`${proxy}/planning/list/${data.contractId}/${data.type}`);
// 应收帐款 / 费用计划列表
export const searchPlanning = data => axios.post(`${proxy}/planning/list`, data);
// 应收帐款 / 付款
export const paying = data => axios.post(`${proxy}/planning/paying/`, data);
// 应收帐款 / 延期
export const delay = data => axios.post(`${proxy}/planning/delay/`, data);
// 应收帐款 / 付款日志
export const listPlanningLogs = data => axios.post(`${proxy}/planning/list/logs`, data);

// 司机 / 列表
export const listDriver = data => axios.post(`${proxy}/driver/list`, data);
export const listAllDriver = data => axios.post(`${proxy}/driver/list/all`, data);
// 司机 / 创建
export const createDriver = data => axios.post(`${proxy}/driver/create`, data);
// 司机 / 更新
export const updateDriver = data => axios.post(`${proxy}/driver/update`, data);

// 合同 / 根据id获取合同信息
export const getContract = data => axios.post(`${proxy}/contract/get/${data}`);
// 司机 / 根据id获取司机信息
export const getDriver = data => axios.post(`${proxy}/driver/get/${data}`);
// 车辆 / 根据id获取车辆信息
export const getVehicle = data => axios.post(`${proxy}/vehicle/get/${data}`);