import store from "@/store";
const { dispatch } = store;

export default {
  components: {  },
  data() {
    return {
      account: null,
      visible: false,
      submitLoading: false,
      accountFormRule: {
        password: [{ required: true, message: "请输入密码", trigger: "blur" }],
        passwordAgain: [{ required: true, message: "请输入密码", trigger: "blur" }],
      },
      accountForm: {
        id: 0,
        username: "",
        password: "",
        passwordAgain: "",
      }
    };
  },
  computed: {
  },
  watch: {
    visible(show) {
      this.submitLoading = false;
      this.$refs.accountForm.resetFields();

      this.accountForm.id = this.account.id;
      this.accountForm.username = this.account.username;
    },
  },
  methods: {
    saveAccount() {
      if(this.accountForm.password != this.accountForm.passwordAgain) {
        this.$Message.error("两次密码输入不一致");
        return;
      }
      this.$refs.accountForm.validate(valid => {
        if (valid) {
          this.submitLoading = true;
          dispatch("invoke/asyncUpdatePassword", this.accountForm).then(({ code }) => {
            this.submitLoading = false;
            if (code === 1) {
              this.$Message.success("修改成功");
              this.$emit("search");
              this.visible = false;
            }
          });
        }
      });
    },
  },
  mounted() {
  }
};
