import store from "@/store";
const { dispatch } = store;
import { columns } from "./helper.js";
import AddCompany from "./add/index.vue";
import EditCompany from "./edit/index.vue";
import EditExpired from "./expired/index.vue";
import AddAccount from "./add_account/index.vue";
import UpdatePassword from "../accounts/update_password/index.vue";

export default {
  components: { AddCompany, EditCompany, EditExpired, AddAccount, UpdatePassword },
  data() {
    return {
      loading: false,
      columns: [], 
      name: "",

      changeCurrent: 1,
      data: {
        total:0,
        current: 1,
        records:[],
      },
      page: {
        size: 10,
      },
    }
  },
  methods: {
    disable(company) {
      dispatch("invoke/asyncUpdateCompanyStatus", company);
    },
    enable(company) {
      dispatch("invoke/asyncUpdateCompanyStatus", company);
    },
    updateExpired(company) {
      dispatch("invoke/asyncUpdateCompanyExpired", company);
    },
    updateCompany(company) {
      dispatch("invoke/asyncUpdateCompany", company);
    },
    search(current = 1) {  
      this.searchForm = {
          name: this.name
      };

      this.loading = true
      const initQuery = {
        current,
        size: this.page.size,
        records: this.searchForm
      };
      dispatch("invoke/asyncListCompany", {
        ...initQuery
      }).then(({ data }) => {
        this.loading = false
        if (data != null) {
          this.data = {...data};
        } else {
          this.data = {
            total:0,
            current: 1,
            records:[],
          };
        }
      });
    },
    changePage(current) {
      this.search(current);
      this.changeCurrent = current
    },
    changeSize(value) { 
      this.page.size = value
      this.search();
    },
    showEdit(company) {
      this.$refs.editCompany.company = company;
      this.$refs.editCompany.visible = true;
    },
    showEditExpired(company) {
      this.$refs.editExpired.company = company;
      this.$refs.editExpired.visible = true;
    },
    showAddAccount(company) {
      this.$refs.addAccount.company = company;
      this.$refs.addAccount.visible = true;
    },
    showUpdatePassword(account) {
      this.$refs.updatePassword.account = account;
      this.$refs.updatePassword.visible = true;
    }
  },
  mounted() {
    this.columns = columns(this.search, this.disable, this.enable, this.showEditExpired, this.showEdit, this.showAddAccount, this.showUpdatePassword);
    this.search();
  }
};
