import store from "@/store";
const { dispatch } = store;
import moment from "moment";
import {levelOption} from "@/libs/constants.js";

export default {
  components: {  },
  data() {
    return {
      loading: false,
      company: null, 
      level: null,
      validText: null,
    }
  },
  methods: {
    setValidText() {
      moment.locale();
      this.validText = "你的企业帐号有效期至" + moment(this.company.expiredDate).format('YYYY年MM月DD日');
      this.level = levelOption.filter(item => item.value === this.company.level)[0].text;
    },
    getMyCompany() {  
      this.loading = true;
      dispatch("invoke/asyncMyCompany").then(({ data }) => {
        this.loading = false
        if (data != null) {
          this.company = {...data};
          this.setValidText();
        } else {
          this.company = null;
        }
      });
    },
  },
  mounted() {
    this.getMyCompany();
  }
};
