import store from "@/store";
const { dispatch } = store;
import { isInteger } from "@/libs/validator.js";
import { timingOption } from "@/libs/constants.js";

export default {
  components: { timingOption },
  data() {
    return {
      visible: false,
      submitLoading: false,
      timingOption: timingOption,
      saveFormRule: {
        name: [{ required: true, message: "请输入费用项名称", trigger: "blur" } ],
        timing: [{ required: true, message: "请选择收费时机", trigger: "blur", type: "number" } ],
        amount: [{ required: true, message: "请输入金额", trigger: "blur" }, { validator: isInteger, trigger: "blur" } ],
      },
      saveForm: {
        name: "",
        timing: null,
        amount: null,
      }
    };
  },
  computed: {
  },
  watch: {
    visible(show) {
      this.submitLoading = false;
      this.$refs.saveForm.resetFields();
    },
  },
  methods: {
    saveFee() {
      this.$refs.saveForm.validate(valid => {
        if (valid) {
          this.submitLoading = true;
          
          dispatch("invoke/asyncCreateFee", this.saveForm).then(({ code }) => {
            this.submitLoading = false;
            if (code === 1) {
              this.$Message.success("添加成功");
              this.$emit("search");
              this.visible = false;
            }
          });
        }
      });
    }
  },
  mounted() {
  }
};
