import store from "@/store";
const { dispatch } = store;
import { columns } from "./helper.js";
import AddFee from "./add/index.vue";

export default {
  components: { AddFee },
  data() {
    return {
      loading: false,
      columns: [], 
      name: "",

      changeCurrent: 1,
      data: [],
    }
  },
  methods: {
    disable(fee) {
      dispatch("invoke/asyncDisableFee", fee.id).then(({ data }) => {
        fee.status = 0;
      });
    },
    enable(fee) {
      dispatch("invoke/asyncEnableFee", fee.id).then(({ data }) => {
        fee.status = 1;
      });
    },
    search() {
      dispatch("invoke/asyncListFee", -1).then(({ data }) => {
        this.loading = false;
        if (data != null) {
          this.data = data;
        } else {
          this.data = [];
        }
      });
    },
  },
  mounted() {
    this.columns = columns(this.disable, this.enable);
    this.search();
  }
};
