import store from "@/store";
const { dispatch } = store;

export default {
  components: {  },
  data() {
    return {
      brands: null,
      visible: false,
      submitLoading: false,
      dataFormRule: {
        parentId: [
          {
            type:"number",
            required: true,
            message: "请选择品牌",
            trigger: "blur"
          }
        ],
        code: [
          {
            required: true,
            message: "请输入型号编码",
            trigger: "blur"
          }
        ],
        name: [
          {
            required: true,
            message: "请输入型号名称",
            trigger: "blur"
          }
        ],
      },
      dataForm: {
        parentId: null,
        code: "",
        name: "",
        type: 7,
      }
    };
  },
  watch: {
    visible(show) {
      this.submitLoading = false;
      this.$refs.dataForm.resetFields();
    },
  },
  methods: {
    saveData() {
      this.$refs.dataForm.validate(valid => {
        if (valid) {
          this.submitLoading = true;
          
          dispatch("invoke/asyncCreateData", this.dataForm).then(({ code }) => {
            this.submitLoading = false;
            if (code === 1) {
              this.$Message.success("添加成功");
              this.$emit("search");
              this.visible = false;
            }
          });
        }
      });
    },
  },
};
