import store from "@/store";
const { dispatch } = store;

export default {
  components: {  },
  data() {
    return {
      dataSource: null,
      visible: false,
      submitLoading: false,
      sourceFormRule: {
        name: [
          {
            required: true,
            message: "请输入车源名称",
            trigger: "blur"
          }
        ],
      },
      sourceForm: {
        id: 0,
        name: "",
        contactName: "",
        contactPhone: "",
        address: "",
      }
    };
  },
  computed: {
  },
  watch: {
    visible(show) {
      this.submitLoading = false;
      this.$refs.sourceForm.resetFields();

      this.sourceForm.id = this.dataSource.id;
      this.sourceForm.name = this.dataSource.name;
      this.sourceForm.contactName = this.dataSource.contactName;
      this.sourceForm.contactPhone = this.dataSource.contactPhone;
      this.sourceForm.address = this.dataSource.address;
    },
  },
  methods: {
    saveSource() {
      this.$refs.sourceForm.validate(valid => {
        if (valid) {
          this.submitLoading = true;
          
          dispatch("invoke/asyncUpdateSource", this.sourceForm).then(({ code }) => {
            this.submitLoading = false;
            if (code === 1) {
              this.$Message.success("修改成功");
              this.$emit("search");
              this.visible = false;
            }
          });
        }
      });
    }
  },
  mounted() {
  }
};
