import store from "@/store";
const { dispatch } = store;

export default {
  components: {  },
  data() {
    return {
      visible: false,
      driver: null,
      readonly: false,
      submitLoading: false,
      frontUploadStatus: false,
      backUploadStatus: false,
      mainUploadStatus: false,
      secondUploadStatus: false,
      driverFormRule: {
        name: [{ required: true, message: "请输入车牌号", trigger: "change" }],
        identityNumber: [{ required: true, message: "请输入车牌号", trigger: "change" }],
        phone: [{ required: true, message: "请输入车牌号", trigger: "change" }],
        nation: [{ required: true, message: "请输入民族", trigger: "change" }],
        birthday: [{ type: "date", required: true, message: "请输入车牌号", trigger: "change" }],
        originAddress: [{ required: true, message: "请输入身份证地址", trigger: "change" }],
        issueOrganization: [{ required: true, message: "请输入发证机关", trigger: "change" }],
        identityValidPeriodStart: [{ type: "date", required: true, message: "请输入身份证有效斯", trigger: "change" }],
        identityValidPeriodEnd: [{ type: "date", required: true, message: "请输入身份证有效斯", trigger: "change" }],

        credentialNo: [{ required: true, message: "请输入驾驶证号", trigger: "change" }],
        fileNo: [{ required: true, message: "请输入驾驶证档案编号", trigger: "change" }],
        firstIssue: [{ type: "date", required: true, message: "请输入首次发证日期", trigger: "change" }],
        licenseValidPeriodStart: [{ type: "date", required: true, message: "请输入驾驶证有效斯", trigger: "change" }],
        licenseValidPeriodEnd: [{ type: "date", required: true, message: "请输入驾驶证有效斯", trigger: "change" }],
      },
      driverForm: {
        id: 0,
        name: "",
        identityNumber: "",
        phone: "",
        gender: "",
        contactName: "",
        contactPhone: "",
        address: "",
        serviceLicense: "",

        frontFileId: 0,
        backFileId: 0,
        frontFileUrl: null,
        backFileUrl: null,
        nation: "",
        birthday: "",
        issueOrganization: "",
        originAddress: "",
        identityValidPeriodStart: "",
        identityValidPeriodEnd: "",

        mainFileId: 0,
        secondFileId: 0,
        mainFileUrl: null,
        secondFileUrl: null,
        credentialNo: "",
        fileNo: "",
        firstIssue: "",
        drivingClass: "",
        licenseValidPeriodStart: "",
        licenseValidPeriodEnd: ""
      },
    };
  },
  watch: {
    visible(show) {
      this.submitLoading = false;
      this.$refs.driverForm.resetFields();

      if(show) {
        this.driverForm.id = this.driver.id;
        this.driverForm.frontFileId = this.driver.frontFile.id;
        this.driverForm.frontFileUrl = this.driver.frontFile.filePath;
        this.driverForm.backFileId = this.driver.backFile.id;
        this.driverForm.backFileUrl = this.driver.backFile.filePath;

        this.driverForm.mainFileId = this.driver.mainFile.id;
        this.driverForm.mainFileUrl = this.driver.mainFile.filePath;
        this.driverForm.secondFileId = this.driver.secondFile.id;
        this.driverForm.secondFileUrl = this.driver.secondFile.filePath;

        this.driverForm.name = this.driver.name;
        this.driverForm.identityNumber = this.driver.identityNumber;
        this.driverForm.phone = this.driver.phone;
        this.driverForm.gender = this.driver.gender;
        this.driverForm.contactName = this.driver.contactName;
        this.driverForm.contactPhone = this.driver.contactPhone;
        this.driverForm.address = this.driver.address;
        this.driverForm.serviceLicense = ""+this.driver.serviceLicense;

        this.driverForm.nation = this.driver.nation;
        this.driverForm.birthday = this.driver.birthday;
        this.driverForm.issueOrganization = this.driver.issueOrganization;
        this.driverForm.originAddress = this.driver.originAddress;
        this.driverForm.identityValidPeriodStart = this.driver.identityValidPeriodStart;
        this.driverForm.identityValidPeriodEnd = this.driver.identityValidPeriodEnd;

        this.driverForm.credentialNo = this.driver.credentialNo;
        this.driverForm.fileNo = this.driver.fileNo;
        this.driverForm.firstIssue = this.driver.firstIssue;
        this.driverForm.drivingClass = this.driver.drivingClass;
        this.driverForm.licenseValidPeriodStart = this.driver.licenseValidPeriodStart;
        this.driverForm.licenseValidPeriodEnd = this.driver.licenseValidPeriodEnd;
      } else {
        this.driverForm.id = 0;
        this.driverForm.frontFileId = 0;
        this.driverForm.backFileId = 0;
        this.driverForm.frontFileUrl = null;
        this.driverForm.backFileUrl = null;

        this.driverForm.mainFileId = 0;
        this.driverForm.secondFileId = 0;
        this.driverForm.mainFileUrl = null;
        this.driverForm.secondFileUrl = null;

        this.driverForm.name = "";
        this.driverForm.identityNumber = "";
        this.driverForm.phone = "";
        this.driverForm.gender = "男";
        this.driverForm.contactName = "";
        this.driverForm.contactPhone = "";
        this.driverForm.address = "";
        this.driverForm.serviceLicense = "0";

        this.driverForm.nation = "";
        this.driverForm.birthday = "";
        this.driverForm.issueOrganization = "";
        this.driverForm.originAddress = "";
        this.driverForm.identityValidPeriodStart = "";
        this.driverForm.identityValidPeriodEnd = "";

        this.driverForm.credentialNo = "";
        this.driverForm.fileNo = null;
        this.driverForm.firstIssue = null;
        this.driverForm.drivingClass = "";
        this.driverForm.licenseValidPeriodStart = "";
        this.driverForm.licenseValidPeriodEnd = "";
      }
    },
  },
  methods: {
    upload(file, type) {
      const formData = new FormData();
      formData.append("file", file);

      if(type == 1) {
        this.mainUploadStatus = true;
      } else if(type == 2) {
        this.secondUploadStatus = true;
      } else if(type == 3) {
        this.frontUploadStatus = true;
      } else if(type == 4) {
        this.backUploadStatus = true;
      }
      dispatch("invoke/asyncUploadFile", formData).then(res => {
        const { code, data, msg } = res;
        if(code == 1) {
          this.$Message.info("上传成功");
        } else {
          this.$Message.info("上传失败");
        }
        if(type == 1) {
          this.mainUploadStatus = false;
          this.driverForm.mainFileId = data.id;
          this.driverForm.mainFileUrl = data.filePath;
        } else if(type == 2) {
          this.secondUploadStatus = false;
          this.driverForm.secondFileId = data.id;
          this.driverForm.secondFileUrl = data.filePath;
        } else if(type == 3) {
          this.frontUploadStatus = false;
          this.driverForm.frontFileId = data.id;
          this.driverForm.frontFileUrl = data.filePath;
        } else if(type == 4) {
          this.backUploadStatus = false;
          this.driverForm.backFileId = data.id;
          this.driverForm.backFileUrl = data.filePath;
        }
        if(type==1) {
          this.detectDriverLicense(data.filePath, type);
        } else if(type==3 || type==4) {
          this.detectIdentityCard(data.filePath, type);
        }
      });
    },
    handleUploadMain(file) {
      this.upload(file, 1);
      return false;
    },
    handleUploadSecond(file) {
      this.upload(file, 2);
      return false;
    },
    handleUploadFront(file) {
      this.upload(file, 3);
      return false;
    },
    handleUploadBack(file) {
      this.upload(file, 4);
      return false;
    },
    detectDriverLicense(url, isMain) {
      var requestData = {
        url: url,
      }
      dispatch("invoke/asyncDetectDriverLicense", requestData).then(({ data }) => {
        if(isMain == 1) {
          this.driverForm.credentialNo = data.credentialNo;
          this.driverForm.country = data.country;
          this.driverForm.drivingClass = data.drivingClass;
          this.driverForm.firstIssue = data.firstIssue;
          this.driverForm.licenseValidPeriodStart = data.validPeriodStart;
          this.driverForm.licenseValidPeriodEnd = data.validPeriodEnd;
        }
      });
    },
    detectIdentityCard(url, isMain) {
      var requestData = {
        url: url,
        isMain: isMain,
      }
      dispatch("invoke/asyncDetectIdentityCard", requestData).then(({ data }) => {
        if(isMain == 3) {
          this.driverForm.nation = data.nation;
          this.driverForm.birthday = data.birthday;
          this.driverForm.originAddress = data.originAddress;
        } else {
          this.driverForm.issueOrganization = data.issueOrganization;
          this.driverForm.identityValidPeriodStart = data.validPeriodStart;
          this.driverForm.identityValidPeriodEnd = data.validPeriodEnd;
        }
      });
    },
    saveDriver() {
      this.$refs.driverForm.validate(valid => {
        if (valid) {
          dispatch("invoke/asyncUpdateDriver", this.driverForm).then(({ code }) => {
            this.submitLoading = false;
            if (code === 1) {
              this.$Message.success("修改成功");
              this.$emit("search");
              this.visible = false;
            }
          });
        }
      });
    },
  },
  mounted() {
  }
};
