import store from "@/store";
const { dispatch } = store;
import { columns } from "./helper.js";
import { Timing } from "@/components/index.js";
import { paymentStatusOption } from "@/libs/constants.js";

export default {
  components: { Timing, paymentStatusOption },
  data() {
    return {
      loading: false,
      loadingVisible: false,
      columns: [], 
      paymentStatusOption: paymentStatusOption,

      changeCurrent: 1,
      searchForm: {
        contractType: 2,
        type: null,
        operationType: null,
        driverInfo: null,
        vehicleInfo: null,
        planDate: null,
        planDateStart: null,
        planDateEnd: null,
        createDate: null,
        createDateStart: null,
        createDateEnd: null,
      },
      data: {
        total:0,
        current: 1,
        records:[],
      },
      page: {
        size: 50,
      },
    }
  },
  watch: {
  },
  methods: {
    search(current = 1) {  
      this.loading = true;
      if(this.searchForm.planDate != null) {
        this.searchForm.planDateStart = this.searchForm.planDate[0];
        this.searchForm.planDateEnd = this.searchForm.planDate[1];
      }
      if(this.searchForm.createDate != null) {
        this.searchForm.createDateStart = this.searchForm.createDate[0];
        this.searchForm.createDateEnd = this.searchForm.createDate[1];
      }
      dispatch("invoke/asyncListPlanningLogs", {
        current,
        size: this.page.size,
        records: this.searchForm
      }).then(({ data }) => {
        this.loading = false
        if (data != null) {
          this.data = {...data};
        } else {
          this.data = {
            total:0,
            current: 1,
            records:[],
          };
        }
      });
    },
    changePage(current) {
      this.search(current);
      this.changeCurrent = current
    },
    changeSize(value) { 
      this.page.size = value
      this.search();
    },
  },
  mounted() {
    this.columns = columns();
    this.search();
  }
};
