import {timingOption} from "@/libs/constants.js";

export const feeColumns = (removeFee, firstPaidAmountChange) => [
  {
    title: "费用名称",
    key: "name",
    align: "center",
  },
  {
    title: "收费时机",
    align: "center",
    render(h, { row }) {
      try {
        const { timing } = row;
        const [{ text }] = timingOption.filter(item => item.value === timing);
        if(!text) {
            text = "";
        }
        return h("span", text);
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "应付金额",
    key: "amount",
    align: "center",
  },
  {
    title: "首次实收金额",
    align: "center",
    render(h, { row, index }) {
      try {
        return h('div', [
          h('InputNumber', {
            props: {
              value: 0,
              formatter: value => `${value}`.replace(/\B(?=(\d{3})+(?!\d))/g, ','),
              parser: value => `${value}`.replace(/$s?|(,*)/g, '')
            },
            on: {
              'on-change': e => {
                firstPaidAmountChange(index, e);
              }
            }
          })
        ])
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "操作",
    align: "center",
    render(h, { row, index }) {
      try {
        var removeTag = h(
            "Button",
            {
                props: { type: "error", size: "small" },
                on: { click: () => { removeFee(index); }}
            },
            "移除"
        );
        return removeTag;
      } catch(e) {
        console.log(e);
      }
    }
  },
];
