import store from "@/store";
const { dispatch } = store;
import UpdatePassword from "@/view/company/accounts/update_password/index.vue";

export default {
    components: { UpdatePassword },
    data() {
      return {
          username: null,
          avatarText: null,
      }
    },
    methods: {
        setUsername() {
            var tokenInfo = JSON.parse(localStorage.getItem("tokenInfo"));
            if(!tokenInfo) {
                this.quit();
                return;
            }
            this.username = tokenInfo.realName;
            this.avatarText = tokenInfo.realName.substr(0,1);
        },
        onClick(name) {
            if(name == "updatePassword") {
                this.showUpdatePassword();
            } else if(name == "quit") {
                this.quit();
            }
        },
        quit() {
            localStorage.removeItem("tokenInfo");
            this.$router.push({ path: "/" });
        },
        showUpdatePassword() {
            var tokenInfo = JSON.parse(localStorage.getItem("tokenInfo"));
            this.$refs.updatePassword.account = tokenInfo;
            this.$refs.updatePassword.visible = true;
        }
    },
    mounted() {
        this.setUsername();
    }
  };
  