
export const columns = (search, showEdit) => [
  {
    title: "id",
    key: "id",
    align: "center",
    width: 60,
  },
  {
    title: "车牌号",
    align: "center",
    minWidth: 100,
    render: (h, { row }) => {
      const { plateNo } = row;
      return h(
        "a",
        {
            on: { click: () => { 
              showEdit(row);
            }}
        },
        plateNo
      );
    }
  },
  {
    title: "品牌/型号",
    key: "phone",
    align: "center",
    minWidth: 100,
    render(h, { row }) {
      try {
        const { brandName, model } = row;
        return h("span", `${brandName} / ${model}`);
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "颜色",
    key: "color",
    align: "center",
    minWidth: 80,
  },
  {
    title: "排量",
    key: "displacement",
    align: "center",
    minWidth: 80,
  },
  {
    title: "动力类型",
    key: "engineType",
    align: "center",
    minWidth: 80,
  },
  {
    title: "车源",
    key: "",
    align: "center",
    minWidth: 80,
  },
  {
    title: "发动机号",
    key: "engineNo",
    align: "center",
    minWidth: 120,
  },
  {
    title: "识别代码",
    key: "vin",
    align: "center",
    minWidth: 150,
  },
  {
    title: "地址",
    key: "address",
    align: "center",
    minWidth: 260,
  },
  {
    title: "注册日期",
    key: "registerDate",
    align: "center",
    minWidth: 100,
  },
  {
    title: "发证日期",
    key: "issueDate",
    align: "center",
    minWidth: 100,
  },
  {
    title: "车辆状态",
    align: "center",
    width: 120,
    render(h, { row }) {
      try {
        const { status } = row;
        return h("span", {style: {color: status == 1 ? 'green' : 'red' }}, status == 1 ? '有效' : '失效');
      } catch(e) {
        console.log(e);
      }
    }
  },
  {
    title: "操作",
    align: "center",
    fixed: 'right',
    width: 180,
    render(h, { row }) {
      const { status } = row;
      var emptyTag = h("span","　");

      return h("span", [emptyTag]);
    }
  },
];
